// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIRectangle.hpp"

using namespace Dawn;

std::vector<struct UIShaderQuad> UIRectangle::getSelfQuads(const glm::vec2 t) {
  std::vector<struct UIShaderQuad> quads;
  quads.push_back({
    glm::vec4(t, t + size),
    uv,
    color
  });
  return quads;
}